Page MenuHomePhabricator

Add "work" namespace to search results for Bengali Wikisource
Closed, ResolvedPublic

Description

In T210472 the "work" namespace (রচনা:) was introduced for linking different editions of the same work in the same place. Yet it does not appear that results from this namespace are being returned in search results by default. There is an immediate practical benefit (and, in my view, no foreseeable risk) in the first place to doing so, and the practical use of this namespace, which we plan to expand very soon, has been hampered in part by this absence.

I noted in T199028 that another new namespace should be searched by default and this was taken into consideration there, but explicit on-wiki community consensus on searching this particular namespace by default may be obtained if so desired.

Community discussion

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2020, 10:37 PM

Change 617284 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Search Work NS by default at bnwikisource

https://gerrit.wikimedia.org/r/617284

Urbanecm triaged this task as Low priority.
Urbanecm added a subscriber: Urbanecm.

Yes, a community consensus would be needed. Uploaded a patch, through.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 29 2020, 11:12 PM

(As a note, a patch for this task was already made at https://gerrit.wikimedia.org/r/616609, although it is likely that it did not show up here due to the absence of the line "Bug: T258982" in the patch description.)

Bodhisattwa updated the task description. (Show Details)Jul 30 2020, 5:42 PM

Thanks @Bodhisattwa, going to deploy it.

Change 617284 merged by jenkins-bot:
[operations/mediawiki-config@master] Search Work NS by default at bnwikisource

https://gerrit.wikimedia.org/r/617284

Mentioned in SAL (#wikimedia-operations) [2020-08-10T11:41:55Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 0d8366f6951afae25617bea9402aa52e26f34e5d: Search Work NS by default at bnwikisource (T258982) (duration: 00m 59s)

Urbanecm closed this task as Resolved.Aug 10 2020, 11:42 AM

Done.